to eliminate
this step…
to eliminate
this step…
You could go for ActiveView
which will ask for current document as an input and you’ll be able to retrieve the Active view and now if it’s 3D you’ll be able to get it.
If that’s what u looking for. Or if u looking for something else let us know.
Regards,
BM
Hi, are you looking for this?
cordially
christian.stan
I’d do it like this:
It’ll get the exact 3D view (or other type of view) that’s currently active.
With the drop down, it can change and select the wrong one.
I’d avoid drop downs where possible.
i need this click in a node, this click take us to 3D view name upon our name.
import clr
from Autodesk.Revit.UI import *
clr.AddReference('RevitServices')
import RevitServices
from RevitServices.Persistence import DocumentManager
uiapp = DocumentManager.Instance.CurrentUIApplication
rvtCmd = RevitCommandId.LookupCommandId('ID_VIEW_DEFAULT_3DVIEW')
uiapp.PostCommand(rvtCmd)
This in Python will do the same thing as clicking that button.
may i know the package, if its clockwork may i need one alternative of that🙃
allright…yes thats clockwork
can i get the data inside that node here, because clockwork as some issue with other packages so i can t install it
probably its written in python…but guess it is very similar to what @Hamish already showed